Gmagick::setimageprofile
Gmagick::setimagerenderingintent
Gmagick
PHP Manual

# Gmagick::setimageredprimary

(PECL gmagick >= Unknown)

Gmagick::setimageredprimary — Sets the image chromaticity red primary point.

### Description

public void Gmagick::setimageredprimary ( float `$x` , float `$y` )

Sets the image chromaticity red primary point.

### Parameters

`x`

  The red primary x-point.

`y`

  The red primary y-point.

### Return Values

The Gmagick object on success.

### Errors/Exceptions

Throws an GmagickException on error.

Gmagick::setimageprofile
Gmagick::setimagerenderingintent
Gmagick
PHP Manual